﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Schacht {
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window {

        private WinkelGraphic winkelGraphic = new WinkelGraphic();
        private bool winkelChange = false;

        public MainWindow() {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e) {
            winkelgrafikPanel.Children.Add(winkelGraphic);
            tWinkelGon.Text = "0.0";
        }

        private void tWinkelGon_TextChanged(object sender, TextChangedEventArgs e) {
            if (winkelChange) return;
            decimal winkel;
            if (!decimal.TryParse(tWinkelGon.Text, out winkel)) {
                return;
            }
            if (winkel >= 0.0m && winkel <= 400.0m) {
                winkelChange = true;
                sliderWinkel.Value = (int)(winkel * 10);
                winkelGraphic.Winkel = (double)winkel;
                winkel = (winkel * 360 / 400.0m);
                tWinkelGrad.Text = winkel.ToString("#0.0");

                winkelChange = false;
            }
        }
        private void sliderWinkel_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e) {
            if (winkelChange) return;
            winkelChange = true;
            decimal winkel = (decimal)(sliderWinkel.Value * 0.1);
            tWinkelGon.Text = winkel.ToString("#0.0");
            winkelGraphic.Winkel = (double)winkel;
            winkel = (winkel * 360 / 400.0m);
            tWinkelGrad.Text = winkel.ToString("#0.0");
            winkelChange = false;

        }
        private void tWinkelGrad_TextChanged(object sender, TextChangedEventArgs e) {
            if (winkelChange) return;
            decimal winkel;
            if (!decimal.TryParse(tWinkelGrad.Text, out winkel)) {
                return;
            }
            if (winkel >= 0.0m && winkel <= 360.0m) {
                winkel = (winkel * 400.0m / 360.0m);
                winkelGraphic.Winkel = (double)winkel;
                winkelChange = true;
                sliderWinkel.Value = (int)(winkel * 10);
                tWinkelGon.Text = winkel.ToString("#0.0");
                winkelChange = false;
            }
        }

    }
}
